import { TerminalStage } from '../../stages';
class CountCollector extends TerminalStage {
    _count = 0;
    consume() {
        this._count++;
    }
    get() {
        return this._count;
    }
}
/**
 * Return a terminal stage that calculates the total number of elements in the pipeline.
 */
export function count() {
    return new CountCollector();
}
//# sourceMappingURL=count.js.map