import { IntermediateStage } from '../../stages';
/**
 * Return an intermediate stage that skips over a fixed number of elements.
 *
 * @param count The number of elements to skip over.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function skip<IN>(count: number): IntermediateStage<IN, IN>;
